Skip to main content
POST
Create a Journal Entry

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-user-id
string | null

Optional external entity identifier that performed the action

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Body

application/json
description
string
required

The description of the Journal Entry

Example:

"HomeDepot purchase"

datetime
string<date-time>
required

The datetime the Journal Entry was created in UTC ISO-8601 format

Example:

"2023-11-07T05:31:56Z"

lines
LineEntryCreate · object[]
required

The line entries associate with the Journal Entry. All debits and credits must balance and there must be at least one debit and one credit line

external_id
string | null

An optional external identifier for the Journal Entry

Maximum string length: 255
Example:

"je-2023-11-07-001"

document_id
string<doc_string> | null

An optional Document to associate the Journal Entry with

Example:

"doc_R2fAXCjqJPdpYata112zyW"

tags
Tags · object | null

Tags to apply to the Journal Entry, keyed by tag field name (the field must already exist). Each value is a tag value string, or a list of {value, amount?, ledger_id?} objects to split the amount across values and optionally pin a value to a ledger. Amounts left out are split evenly across the values. Tags apply to the net amount of the Journal Entry's revenue and expense lines. Supplying tags replaces any tags carried by the lines' tag_value_ids.

Example:

Response

Successful Response

data
JournalEntryPublic · object
required